Update a user
curl --request PATCH \
--url https://incoming.qomon.app/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"mail": "john.doe@example.com",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"firstname": "John",
"location": "1.826483,-1.549486",
"phone": "0123456789",
"postal": "75000",
"surname": "Doe"
}
}
'import requests
url = "https://incoming.qomon.app/users/{id}"
payload = { "data": {
"mail": "john.doe@example.com",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"firstname": "John",
"location": "1.826483,-1.549486",
"phone": "0123456789",
"postal": "75000",
"surname": "Doe"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
mail: 'john.doe@example.com',
address: '1 rue de la paix',
avatar: 'https://example.com/avatar.png',
birthdate: '2023-11-07T05:31:56Z',
city: 'Paris',
firstname: 'John',
location: '1.826483,-1.549486',
phone: '0123456789',
postal: '75000',
surname: 'Doe'
}
})
};
fetch('https://incoming.qomon.app/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "OK",
"status": "success"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Users
Update a user
Partially updates a user.
PATCH
/
users
/
{id}
Update a user
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Path Parameters
User ID.
Required range:
x >= 0Example:
111
Body
application/json
Show child attributes
Show child attributes
Last modified on September 3, 2026
Was this page helpful?
⌘I

